# coding=utf-8
# *** WARNING: this file was generated by the Pulumi SDK Generator. ***
# *** Do not edit by hand unless you're certain you know what you are doing! ***

from enum import Enum

__all__ = [
    'LoggingConfigLogActionStatesItem',
    'LoggingConfigLogActionsItem',
    'MetadataOptionsGid',
    'MetadataOptionsMode',
    'MetadataOptionsSymlink',
    'MetadataOptionsUid',
    'NotificationConfigEventTypesItem',
    'NotificationConfigPayloadFormat',
    'TransferJobStatus',
]


class LoggingConfigLogActionStatesItem(str, Enum):
    LOGGABLE_ACTION_STATE_UNSPECIFIED = "LOGGABLE_ACTION_STATE_UNSPECIFIED"
    """
    Default value. This value is unused.
    """
    SUCCEEDED = "SUCCEEDED"
    """
    `LoggableAction` completed successfully. `SUCCEEDED` actions are logged as INFO.
    """
    FAILED = "FAILED"
    """
    `LoggableAction` terminated in an error state. `FAILED` actions are logged as ERROR.
    """


class LoggingConfigLogActionsItem(str, Enum):
    LOGGABLE_ACTION_UNSPECIFIED = "LOGGABLE_ACTION_UNSPECIFIED"
    """
    Default value. This value is unused.
    """
    FIND = "FIND"
    """
    Listing objects in a bucket.
    """
    DELETE = "DELETE"
    """
    Deleting objects at the source or the destination.
    """
    COPY = "COPY"
    """
    Copying objects to Google Cloud Storage.
    """


class MetadataOptionsGid(str, Enum):
    """
    Specifies how each file's GID attribute should be handled by the transfer. If unspecified, the default behavior is the same as GID_SKIP when the source is a POSIX file system.
    """
    GID_UNSPECIFIED = "GID_UNSPECIFIED"
    """
    GID behavior is unspecified.
    """
    GID_SKIP = "GID_SKIP"
    """
    Skip GID during a transfer job.
    """
    GID_NUMBER = "GID_NUMBER"
    """
    Preserve GID during a transfer job.
    """


class MetadataOptionsMode(str, Enum):
    """
    Specifies how each file's mode attribute should be handled by the transfer. If unspecified, the default behavior is the same as MODE_SKIP when the source is a POSIX file system.
    """
    MODE_UNSPECIFIED = "MODE_UNSPECIFIED"
    """
    Mode behavior is unspecified.
    """
    MODE_SKIP = "MODE_SKIP"
    """
    Skip mode during a transfer job.
    """
    MODE_PRESERVE = "MODE_PRESERVE"
    """
    Preserve mode during a transfer job.
    """


class MetadataOptionsSymlink(str, Enum):
    """
    Specifies how symlinks should be handled by the transfer. If unspecified, the default behavior is the same as SYMLINK_SKIP when the source is a POSIX file system.
    """
    SYMLINK_UNSPECIFIED = "SYMLINK_UNSPECIFIED"
    """
    Symlink behavior is unspecified. The default behavior is to skip symlinks during a transfer job.
    """
    SYMLINK_SKIP = "SYMLINK_SKIP"
    """
    Skip symlinks during a transfer job.
    """
    SYMLINK_PRESERVE = "SYMLINK_PRESERVE"
    """
    Preserve symlinks during a transfer job.
    """


class MetadataOptionsUid(str, Enum):
    """
    Specifies how each file's UID attribute should be handled by the transfer. If unspecified, the default behavior is the same as UID_SKIP when the source is a POSIX file system.
    """
    UID_UNSPECIFIED = "UID_UNSPECIFIED"
    """
    UID behavior is unspecified.
    """
    UID_SKIP = "UID_SKIP"
    """
    Skip UID during a transfer job.
    """
    UID_NUMBER = "UID_NUMBER"
    """
    Preserve UID during a transfer job.
    """


class NotificationConfigEventTypesItem(str, Enum):
    EVENT_TYPE_UNSPECIFIED = "EVENT_TYPE_UNSPECIFIED"
    """
    Illegal value, to avoid allowing a default.
    """
    TRANSFER_OPERATION_SUCCESS = "TRANSFER_OPERATION_SUCCESS"
    """
    `TransferOperation` completed with status SUCCESS.
    """
    TRANSFER_OPERATION_FAILED = "TRANSFER_OPERATION_FAILED"
    """
    `TransferOperation` completed with status FAILED.
    """
    TRANSFER_OPERATION_ABORTED = "TRANSFER_OPERATION_ABORTED"
    """
    `TransferOperation` completed with status ABORTED.
    """


class NotificationConfigPayloadFormat(str, Enum):
    """
    Required. The desired format of the notification message payloads.
    """
    PAYLOAD_FORMAT_UNSPECIFIED = "PAYLOAD_FORMAT_UNSPECIFIED"
    """
    Illegal value, to avoid allowing a default.
    """
    NONE = "NONE"
    """
    No payload is included with the notification.
    """
    JSON = "JSON"
    """
    `TransferOperation` is [formatted as a JSON response](https://developers.google.com/protocol-buffers/docs/proto3#json), in application/json.
    """


class TransferJobStatus(str, Enum):
    """
    Status of the job. This value MUST be specified for `CreateTransferJobRequests`. **Note:** The effect of the new job status takes place during a subsequent job run. For example, if you change the job status from ENABLED to DISABLED, and an operation spawned by the transfer is running, the status change would not affect the current operation.
    """
    STATUS_UNSPECIFIED = "STATUS_UNSPECIFIED"
    """
    Zero is an illegal value.
    """
    ENABLED = "ENABLED"
    """
    New transfers are performed based on the schedule.
    """
    DISABLED = "DISABLED"
    """
    New transfers are not scheduled.
    """
    DELETED = "DELETED"
    """
    This is a soft delete state. After a transfer job is set to this state, the job and all the transfer executions are subject to garbage collection. Transfer jobs become eligible for garbage collection 30 days after their status is set to `DELETED`.
    """
